#include <string.h>
#include <stdio.h>

long long sinisamali(long long n1[], long long x, long long n){
	long long vec = 0, jed = 0, manj = 0, i = 0;

	for (i = 0; i < n; i++) {
		if (n1[i] == x)jed++;
		else if (n1[i] < x)manj++;
		else vec++;
		
			
	}

	if (vec > manj + jed) return vec-manj+1-jed;
		
	else if (manj>vec+jed) return manj-vec-jed;
		
	else return 0;
		
}


int main(){

	long long n, q, i;

	scanf("%lld %lld", &n, &q);

	long long n1[n], n2[n];

	for(i = 0; i<n; i++){
		scanf("%lld", &n1[i]);
	}

	for(i = 0; i<q; i++){
		scanf("%lld", &n2[i]);
	}

	for(i = 0; i<q; i++){

		printf("%lld ", sinisamali(n1, n2[i], n));

	}


	return 0;
}